CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

DefaultPlotStyleForObjects Property (ActiveX)

2023-1-3 19:13| 发布者: admin| 查看: 461| 评论: 0|来自: AutoCAD

摘要: 指定新创建对象的默认打印样式名称。

指定新创建对象的默认打印样式名称。

支持的平台:仅窗口

签名

工 务 局:

object.DefaultPlotStyleForObjects
对象

类型:首选项输出

此属性适用的对象。

属性值

只读:

类型:字符串

有效条目包括“按图层”、“按块”、“正常”或当前加载的打印样式中的任何样式名称。

言论

此属性的初始值为“ByLayer”。

此属性仅在设置为 时可用。PlotPolicyacPolicyNamed

使用该属性查找当前打印样式。DefaultPlotStyleTable

注意:此属性的值存储在 DEFLPLSTYLE 系统变量中。

例子

工 务 局:

Sub Example_DefaultPlotStyleForObjects()
    ' This example reads and modifies the preference value that controls
    ' the default plot style name for newly created objects.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesOutput
    Dim originalPolicyValue As Variant, originalValue As Variant, newValue As Variant
    
    ' Get the output preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Output
    
    ' Set the default plot style to named plot styles
    originalPolicyValue = ACADPref.PlotPolicy
    ACADPref.PlotPolicy = acPolicyNamed
    
    ' Read and display the original value
    originalValue = ACADPref.DefaultPlotStyleForObjects
    MsgBox "The DefaultPlotStyleForObjects preference is: " & originalValue

    ' Toggle and display the DefaultPlotStyleForObjects preference
    If ACADPref.DefaultPlotStyleForObjects = "ByBlock" Then
        ACADPref.DefaultPlotStyleForObjects = "Normal"
    Else
        ACADPref.DefaultPlotStyleForObjects = "ByBlock"
    End If
    
    newValue = ACADPref.DefaultPlotStyleForObjects
    MsgBox "The DefaultPlotStyleForObjects preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.DefaultPlotStyleForObjects = originalValue
    MsgBox "The DefaultPlotStyleForObjects preference was reset back to: " & originalValue
    
    ACADPref.PlotPolicy = originalPolicyValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DefaultPlotStyleForObjects()
    ;; This example reads and modifies the preference value that controls
    ;; the default plot style name for newly created objects.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Get the output preferences object
    (setq ACADPref (vla-get-Output preferences))
    
    ;; Set the default plot style to named plot styles
    (setq originalPolicyValue (vla-get-PlotPolicy ACADPref))
    (vla-put-PlotPolicy ACADPref acPolicyNamed)

    ;; Read and display the original value
    (setq originalValue (vla-get-DefaultPlotStyleForObjects ACADPref))
    (alert (strcat "The DefaultPlotStyleForObjects preference is: " originalValue))

    ;; Toggle and display the DefaultPlotStyleForObjects preference
    (if (= (vla-get-DefaultPlotStyleForObjects ACADPref) "ByBlock")
        (vla-put-DefaultPlotStyleForObjects ACADPref "Normal")
        (vla-put-DefaultPlotStyleForObjects ACADPref "ByBlock")
    )
    
    (setq newValue (vla-get-DefaultPlotStyleForObjects ACADPref))
    (alert (strcat "The DefaultPlotStyleForObjects preference has been set to: " newValue))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-DefaultPlotStyleForObjects ACADPref originalValue)
    (alert (strcat "The DefaultPlotStyleForObjects preference was reset back to: " originalValue))

    (vla-put-PlotPolicy ACADPref originalPolicyValue)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 19:42

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部